# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-tftpy
Name:		python-module-tftpy
Version:	0.6.0
Release:	alt1_1
Summary:	TFTPy is a pure Python implementation of the Trivial FTP protocol

Group:		Development/Python
License:	MIT
URL:		http://sourceforge.net/projects/tftpy/
Source0:	http://downloads.sourceforge.net/tftpy/tftpy-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python-devel python-module-setuptools
Source44: import.info


%description
Tftpy is a TFTP library for the Python programming language. It includes
client and server classes, with sample implementations. Hooks are included
for easy inclusion in a UI for populating progress indicators. It supports
RFCs 1350, 2347, 2348 and the tsize option from RFC 2349.


%prep
%setup -q -n tftpy-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT


%files
%doc README COPYING
%{_bindir}/tftpy_client.py
%{_bindir}/tftpy_server.py
%{python_sitelibdir_noarch}/tftpy/
%{python_sitelibdir_noarch}/*.egg-info


%changelog
* Thu May 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_1
- initial fc import

